#include "options.h"

#include "qcheckbox.h"
#include "qcombobox.h"

#include <iostream>

using namespace std;

options::options(brainEnvironment *environ, QWidget* parent, const char* name,
                 bool modal, WFlags fl ) 
  : optionsForm( parent, name, modal, fl ) {

  // initialisation code
  this->environ = environ;

  this->rescaleOption->setChecked(this->environ->updateRangeOnTextureChange);
  this->pickLocationOption->setChecked(this->environ->showPickedVertex);


}

options::~options() { /* NOOP */ }

// a slot that is called if the cancel button is pressed
void options::cancelOptions() {
  this->close();
}

// a slot that is called if the apply button is pressed
void options::applyOptions() {
  this->environ->updateRangeOnTextureChange = this->rescaleOption->isChecked();
  this->environ->showPickedVertex = this->pickLocationOption->isChecked();
  this->close();
}
  
// a slot that is called when the draw style text has changed
void options::drawStyleChanged(int itemNumber) {
  emit newDrawStyle(drawStyleOption->currentText());
}
