#include <vertStatsFileDialog.h>

vertStatsFileDialog::vertStatsFileDialog( const QString &dirName,
					  const QString &filter,
					  QWidget *parent,
					  const char *name )
           : QFileDialog( dirName, filter, parent, name, true ) {
 
  this->setCaption( "Vertex File Dialog" );

  QVBox *vbox = new QVBox( this );
  vbox->setMaximumHeight(60);

  
  invertCheckBox = new QCheckBox( "Invert?", vbox );

  QHBox *hbox = new QHBox( vbox );


  columnLineEdit = new QLineEdit( "column", hbox );
  columnLineEdit->setMaxLength( 4 );
  columnLineEdit->setMaximumWidth( 25 );
  columnLineEdit->setText( QString("0") );
  label = new QLabel( "Column", hbox );
  
  //  vbox->addWidget( columnLineEdit, 0 );
  //  vbox->addWidget( invertCheckBox, 1 );

  this->addLeftWidget( vbox );
}

vertStatsFileDialog::~vertStatsFileDialog() {
  delete this->invertCheckBox;
  delete this->columnLineEdit;
  delete this->label;
}

void vertStatsFileDialog::getFileData() {
  this->filename = this->selectedFile();
  this->inverted = this->invertCheckBox->isChecked();
  this->column = this->columnLineEdit->text().toInt();
}

bool vertStatsFileDialog::promptUser() {
  if ( this->exec() == QDialog::Accepted ) {
    this->getFileData();
    return true;
  }
  else {
    return false;
  }
}
    
